actions: []
api_documentation: http://docs.ros.org/en/noetic/api/fanuc_r2000ic_support/html
authors: G.A. vd. Hoorn (TU Delft Robotics Institute)
brief: ''
bugtracker: https://github.com/ros-industrial/fanuc/issues
depends:
- catkin
- fanuc_driver
- fanuc_resources
- industrial_robot_client
- joint_state_publisher_gui
- robot_state_publisher
- rviz
- xacro
depends_on:
- fanuc
description: "<p>\n      ROS-Industrial support for the Fanuc R-2000iC (and variants).\n\
  \    </p>\n    <p>\n      This package contains configuration data, 3D models and\
  \ launch files\n      for Fanuc R-2000iC manipulators. This includes the /125L,\
  \ /165F, /210F,\n      /210L and /270F variants.\n    </p>\n    <p>\n      <b>Note</b>:\
  \ for use with current ROS packages, the /210F is identical\n      to the /165F\
  \ and reuses the meshes, kinematic structure and the OPW\n      parameters of the\
  \ /165. Only the joint limits are different.\n    </p>\n    <p><b>Specifications</b>:</p>\n\
  \    <ul>\n      <li>R-2000iC/125L - &quot;Conventional dress-out&quot;</li>\n \
  \     <li>R-2000iC/165F - &quot;Conventional dress-out&quot;</li>\n      <li>R-2000iC/210F\
  \ - &quot;Conventional dress-out&quot;</li>\n      <li>R-2000iC/210L - &quot;Conventional\
  \ dress-out&quot;</li>\n      <li>R-2000iC/270F - &quot;Conventional dress-out&quot;</li>\n\
  \    </ul>\n    <p>\n      Joint limits and maximum joint velocities are based on\
  \ the information in\n      the <em>FANUC Robot R-2000iC Mechanical Unit Operator's\
  \ Manual</em>\n      version <em>B-83644EN/01</em>. All urdfs are based on the default\
  \ motion\n      and joint velocity limits, unless noted otherwise (ie: no support\
  \ for\n      high speed joints, extended / limited motion ranges or other options).\n\
  \    </p>\n    <p>\n      Before using any of the configuration files and / or meshes\
  \ included\n      in this package, be sure to check they are correct for the particular\n\
  \      robot model and configuration you intend to use them with.\n    </p>\n  \
  \  <p><b>Contributors</b>:</p>\n    <p>\n      This support package has received\
  \ contributions from: Timo Birnkraut and\n      Simon Schmeisser (125L), Didier\
  \ Quirin (210F), Haris Suwignyo (Alten\n      Nederland) (270F) and Ademola Oridate\
  \ (Wilder Systems) (210L).\n    </p>"
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__fanuc__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__fanuc__ubuntu_focal_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
metapackages:
- fanuc
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__fanuc_r2000ic_support__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__fanuc_r2000ic_support__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__fanuc_r2000ic_support__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__fanuc_r2000ic_support__ubuntu_focal_arm64__binary
repo_name: fanuc
repo_url: https://github.com/ros-industrial/fanuc
srvs: []
timestamp: 1740052972.5725698
url: http://wiki.ros.org/fanuc_r2000ic_support
vcs: git
vcs_uri: https://github.com/ros-industrial/fanuc.git
vcs_version: noetic
